Description

When displaying a dialog with the mod_dialog plug-in, it is not possible to prevent the "x" from being shown in the upper right corner
of the window. The user can click on this box to close the window, even when the designer has placed OK and Cancel buttons on the
dialog form itself. When the "x" box is clicked, it bypasses the code for the buttons, which might set global variables which are used
in subsequent code. The "onHide" event is also superseded by the plug-in, so that returning "false" in that event does nothing to
prevent closure. It would be highly desirable to give the designer the option not to display this "x" graphic or, failing that, a way to
disable the "x" box from closing the window.

History

#1 - 07/01/2012 02:20 PM - Robert Ivens

- Component version set to 1.1.3

Hi Donald,

The dialog frame is created and controlled by Wicket (thus Servoy), not by the dialogs module. Perhaps it might be possible to override the 'w_close'
class that Wicket is using with Servoy Webclient Utils plugin.

Of course that adds another dependency.

In Servoy 6.1 however it's possible to use frameless dialogs so that means you have full control on how the dialog appears.
What are your thoughts?

#2 - 07/01/2012 09:53 PM - Donald J Lapin

Hi Robert,

Are the dialogs in 6.1 you are referring to "full" dialogs, which pause the script and allow user input into elements like text fields?

Is Servoy 6.1 ready to use, and is it possible to use it without introducing other problems?

Thank you for following through on this,
Don

#3 - 07/01/2012 10:16 PM - Robert Ivens

Hi Don,

In 6.1 the JSWindow object has an extra 'undecorated' property that removes the window frame. And just like in 6.0 you can make this window a
window, a dialog or a modal dialog.

That last one is what you are referring to as it pauzes the script.

As for the question if Servoy 6.1 is ready to use. | don't know. It's at RC5 right now and | haven't had much time to do a lot of testing with it.
But like with any version | suggest you test your own solutions with it and see what issues you find.

Anyway, | will explore the option to override the CSS. That trick should work in 6.1 as well.

#4 - 01/29/2014 11:15 AM - Harjo Kompagnie

- Assignee set to Harjo Kompagnie

#5 - 01/29/2014 11:18 AM - Harjo Kompagnie

- Status changed from New to Closed
This issue can be closed, because in the latest version of the trunk, you can now use the undecorated option.
